//! # API structures
//!
//! ## Presentation
//! This module contains all the serializable structures that can be sent through the API to the
//! Clients
//!
//! ## Author
//! Pierre Hubert

pub mod http_error;
pub mod login_success;
pub mod current_user_id;
pub mod user_info;
pub mod custom_emoji;
pub mod res_find_user_by_virtual_directory;
pub mod res_find_virtual_directory;
pub mod res_create_conversation;
pub mod conversation_api;
mod legacy_api_bool;
pub mod res_find_private_conversations;
pub mod conversation_message_api;
pub mod conversations_refresh_api;
pub mod res_count_unread_conversations;
pub mod list_unread_conversations_api;
pub mod global_search_result_api;
pub mod res_create_group;
pub mod group_api;
pub mod advanced_group_api;
pub mod res_change_group_logo;
pub mod group_member_api;
pub mod friend_api;
pub mod friendship_status_api;